aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-03-01 20:04:15 -0500
committerJulien Roy <julien@jroy.ca>2023-03-01 20:04:15 -0500
commit42b5ebed3e569f1c8c2cda0d3b291292ddb69863 (patch)
tree56b625b836e3b2ab47126c100bf43f209e3bce61
parent1202b66b81810e18ab174d610d48555e16cd833b (diff)
downloadMrRoy-Overlay-42b5ebed3e569f1c8c2cda0d3b291292ddb69863.tar.gz
MrRoy-Overlay-42b5ebed3e569f1c8c2cda0d3b291292ddb69863.tar.bz2
MrRoy-Overlay-42b5ebed3e569f1c8c2cda0d3b291292ddb69863.zip
dev-vcs/git-srht: add 0.83.1
Signed-off-by: Julien Roy <julien@jroy.ca>
-rw-r--r--dev-vcs/git-srht/Manifest1
-rw-r--r--dev-vcs/git-srht/git-srht-0.83.1.ebuild81
2 files changed, 82 insertions, 0 deletions
diff --git a/dev-vcs/git-srht/Manifest b/dev-vcs/git-srht/Manifest
index 848a0a3..fce8fd0 100644
--- a/dev-vcs/git-srht/Manifest
+++ b/dev-vcs/git-srht/Manifest
@@ -1 +1,2 @@
DIST git-srht-0.81.3.tar.gz 196249 BLAKE2B 594d58ec556eb2bd686463d8f0d0f8d034bb31ad57983789d02da59b350d8933d8ccfa20cddf2abdb53607e7ab213237f88bfd204782e6a1eca5fd847ae2a209 SHA512 98a86ece25402835d3dd540a1892be71ce36f3d8154272546282c6f5454dcc8f877d8e1bd23e94f04af3bfe32df9971d3ce5a959c9d18fe39a477d02a9f1ce0d
+DIST git-srht-0.83.1.tar.gz 196402 BLAKE2B a12408824a97dc4fd7dfd88b6e4a7a4c76ea97f2dc2b662c7cf1385bbbe907ab1feab8a3328eaceed7a547bce50913ec4fdd6a8c5fe35479fd03507874ba65eb SHA512 3250dceeaef0f3589d4e0f5a9dbff2173f240bb3b694549e30fc2f163a3df17d33a0a0ed65059659d964add6945c074043c0120303208f734cfd5c062ace4e26
diff --git a/dev-vcs/git-srht/git-srht-0.83.1.ebuild b/dev-vcs/git-srht/git-srht-0.83.1.ebuild
new file mode 100644
index 0000000..39f07ed
--- /dev/null
+++ b/dev-vcs/git-srht/git-srht-0.83.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 go-module optfeature systemd
+
+DESCRIPTION="sr.ht git services"
+HOMEPAGE="https://git.sr.ht/~sircmpwn/git.sr.ht"
+SRC_URI="http://git.sr.ht/~sircmpwn/git.sr.ht/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="network-sandbox"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ acct-user/git-srht
+ acct-group/git-srht
+ dev-python/scm-srht[${PYTHON_USEDEP}]
+ dev-python/core-srht[${PYTHON_USEDEP}]
+ dev-python/pygit2[${PYTHON_USEDEP}]
+ dev-python/minio[${PYTHON_USEDEP}]
+ net-libs/meta-srht
+"
+BDEPEND="net-libs/nodejs
+ dev-lang/sassc
+ dev-lang/go
+"
+
+S="${WORKDIR}/git.sr.ht-${PV}"
+
+src_unpack() {
+ default_src_unpack
+}
+
+src_compile() {
+ distutils-r1_src_compile
+ cd "${S}/gitsrht-dispatch" || die
+ ego build
+ cd "${S}/gitsrht-shell" || die
+ ego build
+ cd "${S}/gitsrht-keys" || die
+ ego build
+ cd "${S}/gitsrht-update-hook" || die
+ ego build
+ cd "${S}/api" || die
+ ego build -o gitsrht-api
+}
+
+src_install() {
+ distutils-r1_src_install
+ dodir "/etc/sr.ht"
+ insinto "/etc/sr.ht/"
+ newins "${S}/config.example.ini" "config.example.git.sr.ht.ini"
+ dobin "${S}/gitsrht-dispatch/gitsrht-dispatch"
+ dobin "${S}/gitsrht-shell/gitsrht-shell"
+ dobin "${S}/gitsrht-keys/gitsrht-keys"
+ dobin "${S}/gitsrht-update-hook/gitsrht-update-hook"
+ dobin "${S}/api/gitsrht-api"
+ exeinto "/etc/cron.hourly"
+ doexe "${FILESDIR}/git.sr.ht.cron"
+ newinitd "${FILESDIR}/git.sr.ht.initd" "git.sr.ht"
+ newconfd "${FILESDIR}/git.sr.ht.confd" "git.sr.ht"
+ newinitd "${FILESDIR}/git.sr.ht-api.initd" "git.sr.ht-api"
+ newconfd "${FILESDIR}/git.sr.ht-api.confd" "git.sr.ht-api"
+ newinitd "${FILESDIR}/git.sr.ht-webhooks.initd" "git.sr.ht-webhooks"
+ systemd_dounit "${FILESDIR}/git.sr.ht.service"
+ systemd_dounit "${FILESDIR}/git.sr.ht-api.service"
+ systemd_dounit "${FILESDIR}/git.sr.ht-webhooks.service"
+ systemd_dounit "${FILESDIR}/git.sr.ht-periodic.service"
+ systemd_dounit "${FILESDIR}/git.sr.ht-periodic.timer"
+}
+
+plg_postinst() {
+ optfeature "builds.sr.ht integration" "dev-util/builds-srht"
+ optfeature "periodic tasks" "virtual/cron"
+}